
#ifndef LINEREADER_H
#define LINEREADER_H

const int bufSize = 4 * 1024;
const int lineSize = 4 * 1024;

class LineReader
{
	int cursor, eob, eof, eol, fd;
	char buf[bufSize], line[lineSize];
public:
	LineReader(int fd);
	int available();
	const char *next();
private:
	void read();
};

#endif
